=== modified file 'shelf.py'
--- shelf.py	2006-03-22 05:23:58 +0000
+++ shelf.py	2006-05-08 13:41:39 +0000
@@ -159,8 +159,8 @@
             self._run_patch(to_unshelve)
         except PatchFailed:
             try:
-                self._run_patch(to_unshelve, strip=0, dry_run=True)
-                self._run_patch(to_unshelve, strip=0)
+                self._run_patch(to_unshelve, strip=1, dry_run=True)
+                self._run_patch(to_unshelve, strip=1)
             except PatchFailed:
                 if force:
                     self.log('Warning: Unshelving failed, forcing as ' \
@@ -220,13 +220,13 @@
             self._run_patch(to_shelve, reverse=True)
         except PatchFailed:
             try:
-                self._run_patch(to_shelve, reverse=True, strip=0, dry_run=True)
-                self._run_patch(to_shelve, reverse=True, strip=0)
+                self._run_patch(to_shelve, reverse=True, strip=1, dry_run=True)
+                self._run_patch(to_shelve, reverse=True, strip=1)
             except PatchFailed:
                 raise CommandError("Failed removing shelved changes from the"
                     "working tree!")
 
-    def _run_patch(self, patches, strip=1, reverse=False, dry_run=False):
+    def _run_patch(self, patches, strip=0, reverse=False, dry_run=False):
         args = ['patch', '-d', self.base, '-s', '-p%d' % strip, '-f']
         if reverse:
             args.append('-R')

